libsigc++ 2.0: sigc::retype_return_functor< void, T_functor > Struct Template Reference

Main Page Groups Namespaces

# sigc::retype_return_functor< void, T_functor > Struct Template Reference
[retype(), retype_return()]

Adaptor that perform a C-style cast on the return value of a functor. More...

Inheritance diagram for sigc::retype_return_functor< void, T_functor >:

[legend]

List of all members.

## Public Types
typedef void | result_type
## Public Member Functions
void | operator() ()
template<class T_arg1>
void | operator() (T_arg1 _A_a1)
template<class T_arg1>
void | sun_forte_workaround (T_arg1 _A_a1)
template<class T_arg1, class T_arg2>
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template<class T_arg1, class T_arg2>
void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2)
template<class T_arg1, class T_arg2, class T_arg3>
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template<class T_arg1, class T_arg2, class T_arg3>
void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
void | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
void | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| retype_return_functor ()
| retype_return_functor (typename type_trait<T_functor>::take _A_functor)
## Classes
struct | deduce_result_type

## Detailed Description

### template <class T_functor>
struct sigc::retype_return_functor< void, T_functor >

Adaptor that perform a C-style cast on the return value of a functor.

This template specialization is for a void return. It drops the return value of the functor it invokes. Use the convenience function sigc::hide_return() to create an instance of sigc::retype_return_functor<void>.

## Member Typedef Documentation

template <class T_functor>

typedef void sigc::retype_return_functor<void, T_functor>::result_type

Reimplemented from sigc::adapts<T_functor>.

## Constructor & Destructor Documentation

template <class T_functor>

sigc::retype_return_functor<void, T_functor>::retype_return_functor | ( |  | ) | `[inline]`

template <class T_functor>

sigc::retype_return_functor<void, T_functor>::retype_return_functor | ( | typename type_trait<T_functor>::take | _A_functor | ) | `[inline]`

## Member Function Documentation

template <class T_functor>

void sigc::retype_return_functor<void, T_functor>::operator() | ( |  | ) | `[inline]`

template <class T_functor>
template <class T_arg1>

void sigc::retype_return_functor<void, T_functor>::operator() | ( | T_arg1 | _A_a1 | ) | `[inline]`

template <class T_functor>
template <class T_arg1>

void sigc::retype_return_functor<void, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1 | ) | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2>

void sigc::retype_return_functor<void, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2>

void sigc::retype_return_functor<void, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3>

void sigc::retype_return_functor<void, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3>

void sigc::retype_return_functor<void, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

void sigc::retype_return_functor<void, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

void sigc::retype_return_functor<void, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

void sigc::retype_return_functor<void, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

void sigc::retype_return_functor<void, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

void sigc::retype_return_functor<void, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

void sigc::retype_return_functor<void, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

void sigc::retype_return_functor<void, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7 |
| ) |  |  | `[inline]`

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

void sigc::retype_return_functor<void, T_functor>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7 |
| ) |  |  | `[inline]`

The documentation for this struct was generated from the following file:

- adaptors/retype_return.h